## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/lexicons/{lexiconId}/keyphrases

Try it

Get Keyphrases in a Lexicon

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/keyphrases"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Response Status Codes**:

- **200**  
- **400**  
- **401**  
- **402**  
- **403**  
- **404**  
- **405**  
- **409**  
- **413**  
- **500**  
- **501**  
- **502**  
- **503**  
- **504**

**Response Example**:

```json
[
  {
    "_id": "<string>",
    "mainKeyphrase": "pizza",
    "data": {},
    "keyphrases": {
      "_id": "<string>",
      "value": "pizza",
      "isMainKeyphrase": true
    },
    "slotReferences": [
      "<string>"
    ]
  }
]
```

### Error Response Example

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

**X-API-Key**

- **Type**: String  
- **Location**: Header  
- **Required**: True  
- **Description**: Supply the API Key in the HTTP-Header

### Headers

**Accept**  
- **Type**: Enum<String>  
- **Description**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

**lexiconId**  
- **Type**: String  
- **Required**: True  
- **Description**: The unique identifier for the Lexicon.  
- **String Length**: 24  
- **Pattern**: `^[a-z0-9]{24}$`

### Query Parameters

**projectId**  
- **Type**: String  
- **Description**: The unique identifier for the Project.  
- **String Length**: 24  
- **Pattern**: `^[a-z0-9]{24}$`

**filter**  
- **Type**: String  
- **Description**: The `value` field to filter the lexicon keyphrases

**limit**  
- **Type**: Integer  
- **Description**: The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.  
- **Required Range**: `1 <= x <= 100`

**skip**  
- **Type**: Integer  
- **Description**: The number of items to skip before returning the results. Use this parameter with `limit` for offset-based pagination. The default value is 0.  
- **Required Range**: `x >= 0`

**sort**  
- **Type**: String  
- **Description**: The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` for ascending order or `desc` for descending order. For example, `name:asc` sorts by name in ascending order.  
- **Minimum String Length**: 1

**next**  
- **Type**: String  
- **Description**: The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response to request the next set of items.  
- **String Length**: 24

**previous**  
- **Type**: String  
- **Description**: The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response to request the previous set of items.  
- **String Length**: 24

### Last Modified

**Date**: July 8, 2026
